#include <QApplication>
#include <QTranslator>
#include <QDebug>

#include "mainwindow.h"

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    QCoreApplication::setApplicationName("OGBrowser");
    QCoreApplication::setOrganizationName("OpenGnsys");
    QCoreApplication::setOrganizationDomain("opengnsys.es");

    QTranslator translator;
    QStringList translationDirs{QCoreApplication::applicationDirPath(), "", "."};

    bool translationsOk = false;

    for(const QString &dir : translationDirs) {
        qDebug() << "Trying to find translations in" << dir;
        if (translator.load(QLocale(), "OGBrowser_", "", dir)) {
            qDebug() << "Translations loaded";
            QCoreApplication::installTranslator(&translator);
            translationsOk = true;
            break;
        }
    }

    if (!translationsOk) {
        qWarning() << "Failed to load translations. Tried looking in:" << translationDirs;
    }

    MainWindow w;
    w.show();
    return a.exec();
}
